# Class Jre22Compat

java.lang.Object
org.apache.tomcat.util.compat.JreCompat
org.apache.tomcat.util.compat.Jre19Compat
org.apache.tomcat.util.compat.Jre20Compat
org.apache.tomcat.util.compat.Jre21Compat
org.apache.tomcat.util.compat.Jre22Compat

public class Jre22Compat extends Jre21Compat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jre22Compat()`

- ## Method Summary

  ### Methods inherited from class Jre21Compat

  `callAs, createVirtualThreadBuilder, disableCanonCaches, isCanonCachesDisabled, threadBuilderStart`

  ### Methods inherited from class Jre20Compat

  `setNamedGroupsMethod`

  ### Methods inherited from class Jre19Compat

  `getExecutor`

  ### Methods inherited from class JreCompat

  `getInstance, isGraalAvailable, isJre19Available, isJre20Available, isJre21Available, isJre22Available`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jre22Compat

    public Jre22Compat()